Bug 501017 - Review Request: libtnc - Library implementation of the Trusted Network Connect (TNC) specification
Review Request: libtnc - Library implementation of the Trusted Network Connec...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 520380
  Show dependency treegraph
 
Reported: 2009-05-15 10:22 EDT by Tom "spot" Callaway
Modified: 2009-09-04 00:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.22-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 23:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-05-15 10:22:54 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/libtnc.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/libtnc-1.19-1.fc11.src.rpm
Koji Scratch Build (dist-f11): http://koji.fedoraproject.org/koji/taskinfo?taskID=1356162
Description: 
This library provides functions for loading and interfacing with loadable IMC
Integrity Measurement Collector (IMC) and Integrity Measurement Verifier (IMV)
modules as required by the Trusted Network Computing (TNC) IF-IMC and IF-IMV
interfaces as described in: https://www.trustedcomputinggroup.org/specs/TNC
Comment 1 Peter Robinson 2009-09-01 16:18:09 EDT
? rpmlint output

rpmlint libtnc.spec libtnc-1.19-1.fc11.src.rpm libtnc-1.19-1.fc11.x86_64.rpm libtnc-devel-1.19-1.fc11.x86_64.rpm libtnc-debuginfo-1.19-1.fc11.x86_64.rpm
libtnc.x86_64: W: shared-lib-calls-exit /usr/lib64/libosc_imv.so.0.0.0 exit@GLIBC_2.2.5
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
? should package the latest version
  there's a version 1.22 out on the site

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  4150bb183a9b6aa0af0f48359b024912  libtnc-1.19.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
? Package perserves timestamps on install
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin

Issues:
- rpmlint output - I don't believe that its a problem.
- there's a newer version 1.22 upstream
- not sure if the lovely autotools preserves timestamps. Possibly use:
  make DESTDIR=%{buildroot} install INSTALL='install -p'
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

I don't see any of the above issues as blockers. APPROVED!
Comment 2 Tom "spot" Callaway 2009-09-02 12:21:54 EDT
New Package CVS Request
=======================
Package Name: libtnc
Short Description: Library implementation of the Trusted Network Connect (TNC) specification
Owners: spot
Branches: F-10 F-11 devel
InitialCC: 

... and it's done.
Comment 3 Fedora Update System 2009-09-02 13:13:15 EDT
libtnc-1.22-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libtnc-1.22-1.fc10
Comment 4 Fedora Update System 2009-09-02 13:13:20 EDT
libtnc-1.22-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libtnc-1.22-1.fc11
Comment 5 Fedora Update System 2009-09-03 23:59:16 EDT
libtnc-1.22-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-09-04 00:00:37 EDT
libtnc-1.22-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.